Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Deletes a cluster config
cURL
curl -sk -X DELETE "https://<controller>/v2.5/api/k8s/clusters/{uid}" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/k8s/clusters/{uid}" headers = {"Authorization": "cid <CID>"} response = requests.delete(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("DELETE", "https://<controller>/v2.5/api/k8s/clusters/{uid}", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
This response has no body data.
{ "message": "message" }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
ID of the ClusterConfig to retrieve
Successful operation
Was this page helpful?